// EyeBot Demo Program: Drive, T. Bräunl, Nov. 2024
#include "eyebot.h"
#define DIST  500
#define SPEED 200

int main()
{ LCDPrintf("Drive straight %dmm\n", DIST);
  VWStraight(DIST, SPEED); VWWait(); // straight and wait

  LCDPrintf("Rotate 180 deg.\n");
  VWTurn(180, 60);  VWWait(); // turn 180 and wait until completed

  LCDPrintf("Drive straight %dmm\n", DIST);
  VWStraight(DIST, SPEED); VWWait(); // straight and wait

  LCDPrintf("Rotate 180 deg.\n");
  VWTurn(180, 60);  VWWait(); // turn 180 and wait until completed
}
